package com.ycwl.basic.image.watermark.entity;

import cn.hutool.core.date.DateUtil;
import lombok.Data;

import java.io.File;
import java.util.Date;

@Data
public class WatermarkInfo {
    private File originalFile;
    /**
     * 输出文件
     */
    private File watermarkedFile;
    private File qrcodeFile;
    private String scenicLine;
    private String secondLine;
    private String thirdLine;
    private String fourthLine;
    private Date datetime;
    private String dtFormat;
    private String datetimeLine;

    public String getDatetimeLine() {
        if (datetimeLine == null) {
            datetimeLine = DateUtil.format(datetime, dtFormat);
        }
        return datetimeLine;
    }

    public String getScenicLine() {
        if (scenicLine == null) {
            scenicLine = "";
        }
        return scenicLine;
    }
}
